Results 1 to 9 of 9

Thread: Zypper up wants to remove kdebase4

  1. #1
    Join Date
    Oct 2011
    Location
    Italy
    Posts
    28

    Question Zypper up wants to remove kdebase4

    Hi to everyone,
    I'm new here and i hope I've posted this in the right place. Anyhow I've read often solutions to my problems here in the forum, so thank you for all the help you have given me in the past.

    The problem I'm writing about now is that, as I try to update my packages (with zypper up), I get this response (sorry, it is in Italian):
    Code:
    fra@fra-notebook:~> sudo zypper up
    Recupero dei dati del repository...
    Lettura dei pacchetti installati...
    
    I seguenti pacchetti di aggiornamento NON saranno installati:
      alien bomberclone curl frozen-bubble frozen-bubble-server k3b libcurl4 libftgl2 libmms0 libopenal1-soft libraptor-devel librasqal-devel librcps0 libredland0 libredland-devel libSDL-1_2-0 
      libSDL_image-1_2-0 libSDL_mixer-1_2-0 libSDL_net-1_2-0 libSDL_sound-1_0-1 libSDL_ttf-2_0-0 libtorrent-rasterbar6 libupnp6 libvlc5 libvlccore4 linphone mozilla-nspr mozilla-nspr-32bit 
      perl-SDL_Perl plasma-theme-aya python-libtorrent-rasterbar python-numpy raptor scummvm taglib timidity unetbootin vlc vlc-aout-pulse vlc-gnome vlc-noX vlc-qt 
    
    I seguenti NUOVI pacchetti saranno installati:
      kdeartwork4-wallpapers kdeartwork4-wallpapers-weather 
    
    I seguenti pacchetti saranno RIMOSSI:
      kdeartwork4-weatherwallpapers kdebase4 kdegames4 
    
    I seguenti pacchetti stanno per essere aggiornati:
      akonadi akonadi-runtime akregator amarok amarok-lang ark audacity automoc4 bangarang bluedevil bluedevil-lang broadcom-wl broadcom-wl-kmp-desktop choqok clementine clucene-core-devel 
      digikam digikam-doc digikam-lang dolphin dosbox dropbox-servicemenu ffmpeg ffmpegthumbnailer filelight gfxboot gmplayer google-chrome-stable google-musicmanager-beta gstreamer-0_10 
      gstreamer-0_10-ffmpeg gstreamer-0_10-lang gstreamer-0_10-plugin-gnomevfs gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-bad-orig-addon gstreamer-0_10-plugins-base 
      gstreamer-0_10-plugins-base-lang gstreamer-0_10-plugins-good gstreamer-0_10-plugins-good-lang gstreamer-0_10-plugins-ugly gstreamer-0_10-plugins-ugly-lang gstreamer-0_10-utils 
      gstreamer-utils gwenview k3b k3b-codecs kaddressbook kaffeine kate kcalc kcharselect kcm_gtk kcolorchooser kde4-kgreeter-plugins kde4-l10n-de kde4-l10n-en_GB kde4-l10n-en_GB-data 
      kde4-l10n-en_GB-doc kde4-l10n-it kde4-l10n-it-data kde4-l10n-it-doc kdeartwork4-screensaver kdebase4-libkonq kdebase4-nsplugin kdebase4-runtime-xine kdebase4-session kdebase4-workspace 
      kdebase4-workspace-devel kdebase4-workspace-ksysguardd kdebase4-workspace-liboxygenstyle kdegames4-carddecks-default kdegames4-carddecks-other kdemultimedia4-thumbnailers 
      kdenetwork4-filesharing kdepasswd kdepim4 kdepim4-runtime kdepim4-wizards kdepimlibs4 kdialog kdm kdnssd keditbookmarks kffmpegthumbnailer kfind kgamma kget kgpg kid3 kid3-lang 
      kio_audiocd kio_iso kio_kamera kipi-plugins kipi-plugins-acquireimage kipi-plugins-geolocation kipi-plugins-lang kmag kmahjongg kmail kmines kmix kmousetool knotes kompare konqueror 
      konqueror-plugins konsole kontact konversation kopete korganizer kpat krdc krename kreversi krfb kruler kscd ksnapshot ksshaskpass ksudoku ktorrent ktorrent-lang kvkbd kwalletmanager 
      kwebkitpart kwin kwrite lensfun-data liba52-0 libakonadi4 libakonadiprotocolinternals1 libaudio2 libavcodec53 libavdevice53 libavfilter2 libavformat53 libavutil51 libbluedevil1 
      libclucene-core0_9_23 libepub0 libffmpegthumbnailer4 libggz2 libgmyth0 libgstapp-0_10-0 libgstbasecamerabinsrc-0_10-0 libgstbasevideo-0_10-0 libgstinterfaces-0_10-0 
      libgstphotography-0_10-0 libgstreamer-0_10-0 libgstreamer-0_10-0-32bit libgstsignalprocessor-0_10-0 libgstvdp-0_10-0 libiodbc3 libkcddb4 libkcompactdisc4 libkdcraw20 libkdeedu4-data 
      libkdegames4 libkdepim4 libkdepimlibs4 libkeduvocdocument4 libkexiv2-10 libkface1 libkgeomap1 libkipi8 libkonq5 libksane0 libksuseinstall1 libktexteditor libktorrent3 liblash1 liblastfm0 
      liblensfun0 libmarblewidget12 libmms0 libmodplug1 libmpg123-0 libmygpo-qt1 libopencv2_3 libphonon4 libpolkit-qt-1-1 libpolkit-qt-1-devel libpostproc51 libqjson0 libqt4 libqt4-32bit 
      libqt4-devel libqt4-qt3support libqt4-sql libqt4-sql-32bit libqt4-sql-sqlite libqt4-x11 libqt4-x11-32bit libQtWebKit4 libQtWebKit-devel libquicktime0 libqzeitgeist0 librtmp0 
      libSDL-1_2-0-32bit libSDL_image-1_2-0-32bit libSDL_Pango1 libshout3 libslv2-9 libswscale2 libva1 libwavpack1 libxine1 marble marble-data mjpegtools mjpegtools-libs MozillaFirefox 
      MozillaFirefox-branding-openSUSE MozillaFirefox-translations-common MPlayer NetworkManager-kde4-libs NetworkManager-kde4-libs-lang NetworkManager-openvpn-kde4 NetworkManager-pptp-kde4 
      NetworkManager-vpnc-kde4 okular openal-soft oxygen-gtk oxygen-icon-theme oxygen-icon-theme-large oxygen-icon-theme-scalable partitionmanager phonon-backend-gstreamer-0_10 phonon-devel 
      plasma-addons plasma-addons-marble plasmoid-daisy plasmoid-folderview plasmoid-networkmanagement plasmoid-quickaccess polkit-kde-agent-1 polkit-kde-kcmmodules-1 python-distribute 
      python-kde4 python-kdebase4 python-numpy python-qt4 qt4-qtscript skanlite soundkonverter sweeper synaptiks update-desktop-files virtuoso-drivers virtuoso-server wavpack yakuake 
    
    254 pacchetti da aggiornare, 2 nuovi, 3 da rimuovere.
    Dimensione complessiva del download: 619,0 MiB. Dopo l'operazione, saranno utilizzati 35,8 MiB addizionali.
    I got so many packages to update because I was waiting to update to see if my problems would solve by itself.

    Anyhow I got worried about the fact that zypper wants to remove kdebase4 (RIMOSSI = REMOVED).
    Code:
    I seguenti pacchetti saranno RIMOSSI:
      kdeartwork4-weatherwallpapers kdebase4 kdegames4
    there could be some sort of conflict? am I right in thinking that is not a good idea to remove that package?

    My repos are the following:
    Code:
    fra@fra-notebook:~>  zypper repos
    #  | Alias                    | Nome                               | abilitato | Attualizza
    ---+--------------------------+------------------------------------+-----------+-----------
     1 | 11.4 - VideoLan          | 11.4 - VideoLan                    | No        | Sì        
     2 | Emulators                | Emulators                          | Sì        | Sì        
     3 | KDE:Extra                | KDE:Extra                          | Sì        | Sì        
     4 | KDE:Release:47           | KDE:Release:47                     | Sì        | Sì        
     5 | KDE_Distro_Factory       | KDE 4.6.x Packages (openSUSE_11.4) | Sì        | Sì        
     6 | Packman Repository       | Packman Repository                 | Sì        | Sì        
     7 | games                    | games                              | Sì        | Sì        
     8 | google-chrome            | google-chrome                      | Sì        | Sì        
     9 | google-musicmanager      | google-musicmanager                | Sì        | Sì        
    10 | google-talkplugin        | google-talkplugin                  | Sì        | Sì        
    11 | libdvdcss repository     | libdvdcss repository               | No        | Sì        
    12 | mozilla                  | mozilla                            | Sì        | Sì        
    13 | openSUSE:Factory:Contrib | openSUSE:Factory:Contrib           | Sì        | Sì        
    14 | packman                  | packman                            | Sì        | Sì        
    15 | repo-debug               | openSUSE-11.4-Debug                | No        | Sì        
    16 | repo-debug-update        | openSUSE-11.4-Update-Debug         | No        | Sì        
    17 | repo-non-oss             | openSUSE-11.4-Non-Oss              | Sì        | Sì        
    18 | repo-oss                 | openSUSE-11.4-Oss                  | Sì        | Sì        
    19 | repo-source              | openSUSE-11.4-Source               | No        | Sì        
    20 | repo-update              | openSUSE-11.4-Update               | Sì        | Sì        
    21 | server:php:applications  | server:php:applications            | Sì        | Sì        
    22 | standard                 | openSUSE-11.4-Contrib              | Sì        | Sì
    Any suggeston?

    Thank you in advance for your help.

  2. #2
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Zypper up wants to remove kdebase4

    On 10/23/2011 07:06 PM, frasmog wrote:

    > Any suggeston?


    you are wise to ask _before_ removing KDE4..

    i'm not at all good with Italian, but i bet your English is good to read
    the paragraph which begins with "IMPORTANT!" in this post
    http://tinyurl.com/33qc9vu

    and, if you disable all but four of that 17 enabled repos i think there
    there is a chance this problem goes away...if not, *post* again!!


    (by the way, with only the main four (oss, non-oss, packman and update)
    enabled you can stop refresh on the oss and non-oss because they never
    change and therefore don't need to be refreshed....making zypper run a
    little quicker)

    --
    DD
    http://tinyurl.com/DD-Caveat
    openSUSE®, the "German Automobiles" of operating systems

  3. #3
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Default Re: Zypper up wants to remove kdebase4

    First off, you have added in several KDE repositories (I count 3) not there by default. openSUSE 11.4 came with KDE 4.6. Is it your intent on upgrading to KDE 4.7? For 4.7 you can use:

    For using KDE 4.6, but updated from the original default, you can use:

    Normally, if you don't really know how this works, its is best to only add in Packman and the libdvdcss for movie viewing and stick with the defaults on everything. If you have issues using KDE 4.7, you will be more or less on your own, at least until openSUSE 12.1 comes out in about a month.

    Here are some final words of wisdom...

    To avoid package problems, the most important thing to do is to: **NEVER**
    ignore a dependency, even if YaST/zypper/updater gives you such an option!
    In general, never switch to an >inferior< architecture and the solution is
    most often to just switch Vendor to the >Packman< repository. So changing
    the vendor is OK, but >ignoring< dependencies is never a very good idea!
    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Zypper up wants to remove kdebase4

    On 2011-10-23 19:06, frasmog wrote:

    > I get this response (sorry, it is in
    > Italian):


    You can force the output to be in English:

    Code:
    LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8  zypper whatever ...

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  5. #5
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,845
    Blog Entries
    14

    Default Re: Zypper up wants to remove kdebase4

    First, you'll have to fix your repo issues as already said by the others. Then, there's been a change in the packaging of KDE packages. See my output of 'rpm -qa | grep kdebase4' which shows no 'kdebase4' package installed:
    Code:
    glosscomputer@Knurpht:~> rpm -qa | grep kdebase4
    kdebase4-workspace-4.7.2-6.7.x86_64
    kdebase4-runtime-4.7.2-3.2.x86_64
    kdebase4-workspace-liboxygenstyle-32bit-4.7.2-6.7.x86_64
    kdebase4-openSUSE-lang-11.4-3.3.noarch
    kdebase4-runtime-xine-4.7.2-3.2.x86_64
    kdebase4-openSUSE-11.4-3.3.x86_64
    kdebase4-workspace-liboxygenstyle-4.7.2-6.7.x86_64
    kdebase4-workspace-branding-openSUSE-11.4-3.3.x86_64
    kdebase4-workspace-ksysguardd-4.7.2-6.7.x86_64
    kdebase4-runtime-branding-openSUSE-11.4-3.3.x86_64
    python-kdebase4-4.7.2-9.1.x86_64
    kdebase4-libkonq-4.7.2-4.2.x86_64
    kdebase4-wallpapers-4.7.2-3.1.noarch
    kdebase4-workspace-google-gadgets-4.7.2-6.7.x86_64
    kdebase4-session-4.7.2-2.1.noarch
    kdebase4-nsplugin-4.7.2-4.2.x86_64
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  6. #6
    Join Date
    Oct 2011
    Location
    Italy
    Posts
    28

    Default Re: Zypper up wants to remove kdebase4

    there's been a change in the packaging of KDE packages
    Oh that's important, because i'm trying to update from KDE 4.7.1 to 4.7.2, so this can be a reason. I was scared by removing kdebase4 because i didn't know about this change.

    Anyhow thanks to everyone who have responded. I have removed all repos from my list but the important 4 and update went fine, but only of some packages, since i would like to go to KDE 4.7.2, I think I'll try to reinsert the other repos (some of them at least) and see what happens.

    I'll tell you if it's gone all fine.

  7. #7
    Join Date
    Oct 2011
    Location
    Italy
    Posts
    28

    Default Re: Zypper up wants to remove kdebase4

    ok! I've updated and all is right now. As Knurpht said the package kdebase4 is deprecated since KDE 4.7.2, I just didn't know that.

    So thanks everyone for your help!!

    How can i mark this thread as solved?
    Also... there's a way in which i can rate you?

  8. #8
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Zypper up wants to remove kdebase4

    ok! I've updated and all is right now. As Knurpht said the package kdebase4 is deprecated since KDE 4.7.2, I just didn't know that.

    So thanks everyone for your help!! I'm going to mark the thread as SOLVED!

    There's a way in which i can rate you?
    Happy to hear of your success frasmog. Only moderators can modify message thread titles, though you could have added solved to your last message title. In the end, its not all that important to make such a change.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  9. #9
    Join Date
    Oct 2011
    Location
    Italy
    Posts
    28

    Default Re: Zypper up wants to remove kdebase4

    Quote Originally Posted by jdmcdaniel3 View Post
    Only moderators can modify message thread titles, though you could have added solved to your last message title. In the end, its not all that important to make such a change.
    I see, I'm used to other forums in which to mark a thread as solved as it become so is very suggested, to help people who is searching for similar problems on the web to point to solutions easily.

    Anyhow thanks!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •